All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.user
Class SummaryData

    com.sas.services.user.SummaryData

All Implemented Interfaces:
  java.io.Serializable

    public class SummaryData

implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SummaryData(java.util.Date startDate, int authentications, int failures, int currentUsers, java.util.List failureDetails, java.util.List currentUserDetails)`

Method Summary
`int` | `getAuthentications()`
`java.util.List` | `getCurrentUserDetails()`
`int` | `getCurrentUsers()`
`java.util.List` | `getFailureDetails()`
`int` | `getFailures()`
`java.util.Date` | `getStartDate()`
`void` | `setAuthentications(int authentications)`
`void` | `setCurrentUserDetails(java.util.List currentUserDetails)`
`void` | `setCurrentUsers(int currentUsers)`
`void` | `setFailureDetails(java.util.List failureDetails)`
`void` | `setFailures(int failures)`
`void` | `setStartDate(java.util.Date startDate)`

Constructor Detail

### SummaryData

    public SummaryData(java.util.Date startDate,
                       int authentications,
                       int failures,
                       int currentUsers,
                       java.util.List failureDetails,
                       java.util.List currentUserDetails)

Method Detail

### getAuthentications

    public final int getAuthentications()

### setAuthentications

    public final void setAuthentications(int authentications)

### getCurrentUserDetails

    public final java.util.List getCurrentUserDetails()

### setCurrentUserDetails

    public final void setCurrentUserDetails(java.util.List currentUserDetails)

### getCurrentUsers

    public final int getCurrentUsers()

### setCurrentUsers

    public final void setCurrentUsers(int currentUsers)

### getFailureDetails

    public final java.util.List getFailureDetails()

### setFailureDetails

    public final void setFailureDetails(java.util.List failureDetails)

### getFailures

    public final int getFailures()

### setFailures

    public final void setFailures(int failures)

### getStartDate

    public final java.util.Date getStartDate()

### setStartDate

    public final void setStartDate(java.util.Date startDate)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.